@import url('https://fonts.googleapis.com/icon?family=Material+Icons');

$width: 600px;
.ng-autocomplete {
    width: $width;
    --input-height: 40px;
    --input-background-disabled: #eee;
    --input-color-disabled: #666;
    --input-color: rgba(0, 0, 0, 0.87);
}

.autocomplete-container {
    position: relative;
    overflow: visible;
    height: var(--input-height);

    .input-container {
        input {
            font-size: inherit;
            box-sizing: border-box;
            border: none;
            box-shadow: none;
            outline: none;
            background-color: #ffffff;
            color: var(--input-color);
            width: 100%;
            padding: 0 15px;
            line-height: 40px;
            height: var(--input-height);
            &:disabled {
                background-color: var(--input-background-disabled);
                color: var(--input-color-disabled);
            }
        }
        .x {
            position: absolute;
            right: 10px;
            margin: auto;
            cursor: pointer;
            top: 50%;
            transform: translateY(-50%);
            i {
                color: rgba(0, 0, 0, 0.54);
                font-size: 22px;
                vertical-align: middle;
            }
        }
    }
    .suggestions-container {
        position: absolute;
        width: 100%;
        background: white;
        height: auto;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25);
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        ul {
            padding: 0;
            margin: 0;
            max-height: 240px;
            overflow-y: auto;
            li {
                position: relative;
                list-style: none;
                padding: 0;
                margin: 0;
                cursor: pointer;
                a {
                    padding: 14px 15px;
                    display: block;
                    text-decoration: none;
                    cursor: pointer;
                    color: rgba(0, 0, 0, 0.87);
                    font-size: 15px;
                }
                &:hover {
                    background-color: rgba(158, 158, 158, 0.18);
                }
            }
        }
        .complete-selected {
            background-color: rgba(158, 158, 158, 0.18);
        }
        .heading {
            position: relative;
            padding: 10px 15px;
            border: solid 1px #f1f1f1;
            .text {
                font-size: 0.85em;
            }
        }
        .x {
            position: absolute;
            right: 10px;
            margin: auto;
            cursor: pointer;
            top: 50%;
            transform: translateY(-50%);
            i {
                color: rgba(0, 0, 0, 0.54);
                font-size: 18px;
                vertical-align: middle;
            }
        }
        &.is-hidden {
            visibility: hidden;
        }
        &.is-visible {
            visibility: visible;
        }
    }
    .not-found {
        padding: 0 0.75em;
        border: solid 1px #f1f1f1;
        background: white;
        div {
            padding: 0.4em 0;
            font-size: 0.95em;
            line-height: 1.4;
            border-bottom: 1px solid rgba(230, 230, 230, 0.7);
        }
    }
    &.active {
        z-index: 999;
    }
}

.highlight {
    font-weight: bold;
}

.autocomplete-overlay {
    position: fixed;
    background-color: transparent;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 50;
}

input[type='text']::-ms-clear {
    display: none;
}

/*Loading spinner*/

.sk-fading-circle {
    width: 20px;
    height: 20px;
    position: absolute;
    right: 10px;
    top: 0;
    bottom: 0;
    margin: auto;
}

.sk-fading-circle .sk-circle {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

.sk-fading-circle .sk-circle:before {
    content: '';
    display: block;
    margin: 0 auto;
    width: 15%;
    height: 15%;
    background-color: #333;
    border-radius: 100%;
    -webkit-animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
    animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
}

.sk-fading-circle .sk-circle2 {
    -webkit-transform: rotate(30deg);
    -ms-transform: rotate(30deg);
    transform: rotate(30deg);
}

.sk-fading-circle .sk-circle3 {
    -webkit-transform: rotate(60deg);
    -ms-transform: rotate(60deg);
    transform: rotate(60deg);
}

.sk-fading-circle .sk-circle4 {
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.sk-fading-circle .sk-circle5 {
    -webkit-transform: rotate(120deg);
    -ms-transform: rotate(120deg);
    transform: rotate(120deg);
}

.sk-fading-circle .sk-circle6 {
    -webkit-transform: rotate(150deg);
    -ms-transform: rotate(150deg);
    transform: rotate(150deg);
}

.sk-fading-circle .sk-circle7 {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.sk-fading-circle .sk-circle8 {
    -webkit-transform: rotate(210deg);
    -ms-transform: rotate(210deg);
    transform: rotate(210deg);
}

.sk-fading-circle .sk-circle9 {
    -webkit-transform: rotate(240deg);
    -ms-transform: rotate(240deg);
    transform: rotate(240deg);
}

.sk-fading-circle .sk-circle10 {
    -webkit-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
}

.sk-fading-circle .sk-circle11 {
    -webkit-transform: rotate(300deg);
    -ms-transform: rotate(300deg);
    transform: rotate(300deg);
}

.sk-fading-circle .sk-circle12 {
    -webkit-transform: rotate(330deg);
    -ms-transform: rotate(330deg);
    transform: rotate(330deg);
}

.sk-fading-circle .sk-circle2:before {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.sk-fading-circle .sk-circle3:before {
    -webkit-animation-delay: -1s;
    animation-delay: -1s;
}

.sk-fading-circle .sk-circle4:before {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.sk-fading-circle .sk-circle5:before {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

.sk-fading-circle .sk-circle6:before {
    -webkit-animation-delay: -0.7s;
    animation-delay: -0.7s;
}

.sk-fading-circle .sk-circle7:before {
    -webkit-animation-delay: -0.6s;
    animation-delay: -0.6s;
}

.sk-fading-circle .sk-circle8:before {
    -webkit-animation-delay: -0.5s;
    animation-delay: -0.5s;
}

.sk-fading-circle .sk-circle9:before {
    -webkit-animation-delay: -0.4s;
    animation-delay: -0.4s;
}

.sk-fading-circle .sk-circle10:before {
    -webkit-animation-delay: -0.3s;
    animation-delay: -0.3s;
}

.sk-fading-circle .sk-circle11:before {
    -webkit-animation-delay: -0.2s;
    animation-delay: -0.2s;
}

.sk-fading-circle .sk-circle12:before {
    -webkit-animation-delay: -0.1s;
    animation-delay: -0.1s;
}

@-webkit-keyframes sk-circleFadeDelay {
    0%,
    39%,
    100% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
}

@keyframes sk-circleFadeDelay {
    0%,
    39%,
    100% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
}

::placeholder {
    color: var(--placeholder-color);
    opacity: var(--placeholder-opacity);
}

::-ms-input-placeholder {
    color: var(--placeholder-color);
    opacity: var(--placeholder-opacity);
}
